#
# spec file for package seahorse
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           seahorse
License:        GPLv2+
Group:          Productivity/Security
Version:        3.1.92
Release:        1
Summary:        GNOME interface for gnupg
Url:            http://projects.gnome.org/seahorse/
Source:         http://download.gnome.org/sources/seahorse/3.1/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  openldap2-devel
BuildRequires:  openssh
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(gck-1)
BuildRequires:  pkgconfig(gcr-3) >= 3.1.5
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
Recommends:     %{name}-lang
Obsoletes:      %{name}-devel < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --disable-scrollkeeper
make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%{__rm} -f %{buildroot}%{_libdir}/*.*a
%suse_update_desktop_file -G "Passwords and Keys" -N "Seahorse" %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-auto NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/seahorse
%{_libdir}/seahorse/
%{_datadir}/applications/seahorse.desktop
%{_datadir}/GConf/gsettings/org.gnome.seahorse.convert
%{_datadir}/GConf/gsettings/org.gnome.seahorse.manager.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.manager.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.window.gschema.xml
%{_datadir}/icons/hicolor/*/*/seahorse.png
%{_datadir}/icons/hicolor/*/*/seahorse-preferences.png
%{_datadir}/pixmaps/seahorse/
%{_datadir}/seahorse/
%{_mandir}/man1/seahorse.1.*

%files lang -f %{name}.lang

%changelog
